#WBL 12 Apr 2018 
echo "#$0 $1, $2, $3, $4" '$Revision: 1.1 $' $HOST `date` `pwd`

#Modifications:
#WBL 12 Apr 2018 based on NK.bat r1.4

#defaults
setenv nruns 50
setenv N	      500
setenv K		1
setenv NK_rand		0
setenv GA_XO		0

if($1) setenv K		$1
if($2) setenv NK_rand	$2
if($3) setenv GA_XO	$3
if($4) setenv N		$4

setenv seed0 162904

set id=1
while ( $id <= $nruns )
  rm -f /tmp/t
  setenv seed $id$seed0
  echo '#running ./a.out' $N $K $NK_rand $GA_XO '1 "" "" "" ""' $seed
                 ./a.out  $N $K $NK_rand $GA_XO  1 "" "" "" ""  $seed > /tmp/t
  setenv save $status
  if($save) then
    echo        './a.out' $N $K $NK_rand $GA_XO '1 "" "" "" ""' $seed 'failed status' $save
    exit $save;
  endif
  gawk '\
    (index($0,"failed")){print $0;exit 1}	\
    ($1=="GA2")      {print "#"$0;next}		\
    (index($1,"#"))  {print    $0;next}		\
    ($1=="Local") {sum += $5; count += $9}	\
    END{if(count) {				\
      print "Local_opt",sum/count, sum, count;	\
    } else {					\
      print "#Local_opt na", sum, count;	\
    }}'						\
  /tmp/t
  if($status) exit $status;

  set id=(`expr $id + 1`)
end

echo "#$0 $1, $2, $3, $4 done" `date`
exit
